---
title: PannerNode.setOrientation()
slug: Web/API/PannerNode/setOrientation
tags:
  - API
  - Method
  - PannerNode
  - Reference
  - Web Audio API
  - setOrientation
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>setOrientation()</code> method of the {{ domxref("PannerNode") }} Interface defines the direction the audio source is playing in.</p>

<p>This can have a big effect if the sound is very directional — controlled by the three cone-related attributes {{domxref("PannerNode.coneInnerAngle")}}, {{domxref("PannerNode.coneOuterAngle")}}, and {{domxref("PannerNode.coneOuterGain")}}. In such a case, a sound pointing away from the listener can be very quiet or even silent.</p>

<p>The three parameters <code>x</code>, <code>y</code> and <code>z</code> are unitless and describe a direction vector in 3D space using the right-hand Cartesian coordinate system. The default value of the direction vector is <code>(1,</code> <code>0,</code> <code>0)</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.setOrientation(1,0,0);</pre>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt>x</dt>
 <dd>The x value of the panner's direction vector in 3D space.</dd>
 <dt>y</dt>
 <dd>The y value of the panner's direction vector in 3D space.</dd>
 <dt>z</dt>
 <dd>The z value of the panner's direction vector in 3D space.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-setorientation', 'setOrientation()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.setOrientation")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
